File::Stubb(3)

NAME
File::Stubb - Stub file creator

USAGE
  use File::Stubb;

  my $stubb = File::Stubb->init;
  $stubb->run;

DESCRIPTION
File::Stubb is the module that provides the command-line interface for stubb. This is a private module, for user documentation you should consult the stubb manual.

METHODS

$stubb = File::Stubb->init;
    Reads @ARGV and returns a blessed File::Stubb object. View the stubb manual for a list of valid arguments.

$stubb->run;
    Runs stubb based on the arguments parsed during "init()".

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg page <https://codeberg.org/1-1sam/stubb.git>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
stubb